%define with_gui 1

Name:          cdrdao
Version:       1.2.5
Release:       2mamba
Summary:       Cdrdao records audio or data CD-Rs in disk-at-once (DAO) mode
Group:         System/Tools
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://cdrdao.sourceforge.net/
Source:        http://downloads.sourceforge.net/cdrdao/cdrdao-%{version}.tar.bz2
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libao-devel
BuildRequires: libat-spi2-core-devel
BuildRequires: libatkmm1-devel
BuildRequires: libcairo-devel
BuildRequires: libcairomm10-devel
BuildRequires: libgcc
BuildRequires: libgdk-pixbuf-devel
BuildRequires: libglib-devel
BuildRequires: libglibmm24-devel
BuildRequires: libgtk3-devel
BuildRequires: libgtkmm3-devel
BuildRequires: libharfbuzz-devel
BuildRequires: liblame-devel
BuildRequires: libmad-devel
BuildRequires: libpango-devel
BuildRequires: libpangomm1-devel
BuildRequires: libsigc++2-devel
BuildRequires: libstdc++6-devel
BuildRequires: libvorbis-devel
BuildRequires: libz-devel
BuildRequires: setup
## AUTOBUILDREQ-END

%description
Cdrdao records audio or data CD-Rs in disk-at-once (DAO) mode based on a textual description of the CD contents.

%package gcdmaster
Summary:       GNOME frontend for cdrdao
Group:         Graphical Desktop/Applications/Multimedia
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description gcdmaster
Gnome frontend for cdrdao.

%debug_package

%prep
%setup -q

%build
export PKG_CONFIG=%{_bindir}/pkg-config
%configure \
   --with-mp3-support \
   --with-ogg-support \
   --with-lame \
   --with-scglib \
%if ! %with_gui
   --disable-gtkmmtest --without-xdao
%endif

%make

%install
[ "%{buildroot}" != / ] && rm -rf %{buildroot}
%makeinstall

%clean
[ "%{buildroot}" != / ] && rm -rf %{buildroot}

%files
%defattr(-,root,root)
%attr(4750,root,cdrecording) %{_bindir}/cdrdao
%{_bindir}/toc2cue
%{_bindir}/toc2mp3
%{_bindir}/cue2toc
%{_bindir}/toc2cddb
%dir %{_datadir}/cdrdao
%{_datadir}/cdrdao/drivers
%{_mandir}/man1/*
%doc COPYING CREDITS

%if %with_gui
%files gcdmaster
%defattr(-,root,root)
%{_bindir}/gcdmaster
%{_datadir}/applications/gcdmaster.desktop
%{_datadir}/application-registry/gcdmaster.applications
%{_datadir}/glib-2.0/schemas/org.gnome.gcdmaster.gschema.xml
%dir %{_datadir}/gcdmaster
%dir %{_datadir}/gcdmaster/glade
%{_datadir}/gcdmaster/glade/*.glade
%{_datadir}/mime-info/gcdmaster.*
%{_datadir}/mime/packages/gcdmaster.xml
%{_datadir}/pixmaps/gcdmaster*.png
%endif

%changelog
* Mon Jul 08 2024 Silvan Calarco <silvan.calarco@mambasoft.it> 1.2.5-2mamba
- remove obsolete build requirements

* Wed Feb 08 2023 Automatic Build System <autodist@mambasoft.it> 1.2.5-1mamba
- automatic version update by autodist

* Wed Nov 14 2018 Automatic Build System <autodist@mambasoft.it> 1.2.4-1mamba
- automatic version update by autodist

* Sun May 30 2010 Silvan Calarco <silvan.calarco@mambasoft.it> 1.2.3-2mamba
- rebuilt with recent libicu
- build with internal scglib (not provided externally, and doesn't build without)
- added patch to fix build with recent gcc and glibc

* Mon Oct 12 2009 Automatic Build System <autodist@mambasoft.it> 1.2.3-1mamba
- automatic update by autodist

* Thu Nov 15 2007 Aleph0 <aleph0@openmamba.org> 1.2.2-1mamba
- update to 1.2.2
- enable mp3 and ogg support in cdrdao (fixed pkg-config detection bug at build time)

* Wed Nov 30 2005 Silvan Calarco <silvan.calarco@mambasoft.it> 1.2.1-1qilnx
- update to version 1.2.1 by autospec

* Thu May 26 2005 Davide Madrisan <davide.madrisan@qilinux.it> 1.2.0-1qilnx
- update to version 1.2.0 by autospec
- also fix security the issue QSA-2005-067 (CAN-2005-0866)
- added build requirements to enable new features provided by this release
- added missing build requirements to build the GNOME gui

* Tue May 03 2005 Silvan Calarco <silvan.calarco@mambasoft.it> 1.1.9-1qilnx
- update to version 1.1.9 by autospec
- gcdmaster frontend removed

* Sun Feb 29 2004 Silvan Calarco <silvan.calarco@mambasoft.it> 1.1.8-1qilnx
- new version build

* Wed Oct 29 2003 Davide Madrisan <davide.madrisan@qilinux.it> 1.1.7-2qilnx
- modified group from "cdwriter" to "cdrecording"

* Fri Jul 11 2003 Silvan Calarco <silvan.calarco@qinet.it> 1.1.7-1qilnx
- first build for cdrdao
